package com.ruoyi.powerdistribution.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 下周工作计划统计对象 pdm_report_plan_next_week
 *
 * @author ruoyi
 * @date 2024-11-29
 */
public class PdmReportPlanNextWeek extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** 单位 */
    @Excel(name = "单位")
    private String company;

    /** 日期 */
    @Excel(name = "日期")
    private String reportDate;

    /** 结束日期 */
    @Excel(name = "结束日期")
    private String reportEndDate;

    /** 作业总数 */
    @Excel(name = "作业总数")
    private Integer workTotal;

    /** 倒闸操作总数 */
    @Excel(name = "倒闸操作总数")
    private Integer workType1Sum;

    /** 配网工程总数 */
    @Excel(name = "配网工程总数")
    private Integer workType2Sum;

    /** 业扩杆迁总数 */
    @Excel(name = "业扩杆迁总数")
    private Integer workType3Sum;

    /** 运维检修总数 */
    @Excel(name = "运维检修总数")
    private Integer workType4Sum;

    /** 其他总数 */
    @Excel(name = "其他总数")
    private Integer workType5Sum;

    /** 带电作业数量 */
    @Excel(name = "带电作业数量")
    private Integer elePlanSum;

    /** 作业风险 三级 */
    @Excel(name = "作业风险 三级")
    private String planLeve3;

    /** 作业风险 四级 */
    @Excel(name = "作业风险 四级")
    private String planLeve4;

    /** 作业风险 五级 */
    @Excel(name = "作业风险 五级")
    private String planLeve5;

    /** 重点关注检修面 */
    @Excel(name = "重点关注检修面")
    private String checkDetail;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setCompany(String company)
    {
        this.company = company;
    }

    public String getCompany()
    {
        return company;
    }
    public void setReportDate(String reportDate)
    {
        this.reportDate = reportDate;
    }

    public String getReportDate()
    {
        return reportDate;
    }
    public void setReportEndDate(String reportEndDate)
    {
        this.reportEndDate = reportEndDate;
    }

    public String getReportEndDate()
    {
        return reportEndDate;
    }
    public void setWorkTotal(Integer workTotal)
    {
        this.workTotal = workTotal;
    }

    public Integer getWorkTotal()
    {
        return workTotal;
    }
    public void setWorkType1Sum(Integer workType1Sum)
    {
        this.workType1Sum = workType1Sum;
    }

    public Integer getWorkType1Sum()
    {
        return workType1Sum;
    }
    public void setWorkType2Sum(Integer workType2Sum)
    {
        this.workType2Sum = workType2Sum;
    }

    public Integer getWorkType2Sum()
    {
        return workType2Sum;
    }
    public void setWorkType3Sum(Integer workType3Sum)
    {
        this.workType3Sum = workType3Sum;
    }

    public Integer getWorkType3Sum()
    {
        return workType3Sum;
    }
    public void setWorkType4Sum(Integer workType4Sum)
    {
        this.workType4Sum = workType4Sum;
    }

    public Integer getWorkType4Sum()
    {
        return workType4Sum;
    }
    public void setWorkType5Sum(Integer workType5Sum)
    {
        this.workType5Sum = workType5Sum;
    }

    public Integer getWorkType5Sum()
    {
        return workType5Sum;
    }
    public void setElePlanSum(Integer elePlanSum)
    {
        this.elePlanSum = elePlanSum;
    }

    public Integer getElePlanSum()
    {
        return elePlanSum;
    }
    public void setPlanLeve3(String planLeve3)
    {
        this.planLeve3 = planLeve3;
    }

    public String getPlanLeve3()
    {
        return planLeve3;
    }
    public void setPlanLeve4(String planLeve4)
    {
        this.planLeve4 = planLeve4;
    }

    public String getPlanLeve4()
    {
        return planLeve4;
    }
    public void setPlanLeve5(String planLeve5)
    {
        this.planLeve5 = planLeve5;
    }

    public String getPlanLeve5()
    {
        return planLeve5;
    }
    public void setCheckDetail(String checkDetail)
    {
        this.checkDetail = checkDetail;
    }

    public String getCheckDetail()
    {
        return checkDetail;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("company", getCompany())
            .append("reportDate", getReportDate())
            .append("reportEndDate", getReportEndDate())
            .append("workTotal", getWorkTotal())
            .append("workType1Sum", getWorkType1Sum())
            .append("workType2Sum", getWorkType2Sum())
            .append("workType3Sum", getWorkType3Sum())
            .append("workType4Sum", getWorkType4Sum())
            .append("workType5Sum", getWorkType5Sum())
            .append("elePlanSum", getElePlanSum())
            .append("planLeve3", getPlanLeve3())
            .append("planLeve4", getPlanLeve4())
            .append("planLeve5", getPlanLeve5())
            .append("checkDetail", getCheckDetail())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
